dia
Précédent | 12.2. Manuel de la ligne de commande | Suivant

## Nom

dia — un programme de dessin de diagrammes

## Synopsis

`dia` [`-c`] [`--credits`] [`-e `SORTIE``] [`--export=`SORTIE``] [`-L `CALQUE,CALQUE,...``] [`--show-layers=`CALQUE,CALQUE,...``] [`-h`] [`--help`] [`-n`] [`--nosplash`] [`-s `WxH``] [`--size=`WxH``] [`-t `FORMAT``] [`--filter=`FORMAT``] [`-v`] [`--version`] [file ...]

## DESCRIPTION

Dia est utilisé pour créer des diagrammes. Dia possède des outils de base, comme les lignes et les boîtes, mais peut également charger dynamiquement des feuilles. Une feuille est une collection d'outils utilisés dans un certain type de diagramme.

La plupart des objets de diagramme dans Dia ont des points de connexion. Les lignes peuvent être connectées à ces points de connexion, et par ce moyen des structures de graphe peuvent être mises en forme. Lorsque les objets sont déplacés, ou leurs dimensions changées, les connexions suivent ces objets.

les diagrammes dessinés avec Dia peuvent être exportés dans le format PostScript.

## OPTIONS

Dia accepte les options suivantes :

`-c` `--credits`

  Affiche la liste des attributions et quitte.

`-e `SORTIE`` `--export=`SORTIE``

  Exporte le fichier chargé dans SORTIE et quitte.

`-h` `--help`

  Affiche la liste de toutes les options de la ligne de commande.

`-n` `--nosplash`

  N'affiche pas l'écran de lancement.

`-s `LxH`` `--size=`LxH``

  Exporte le fichier chargé dans la largeur et/ou la hauteur décimale donnée. Il est possible de ne sélectionner que la hauteur ou la largeur. P.ex. `--size=`520x`` exporte une image de 520 pixels largeur, alors que `--size=`x900`` exporte une image de 900 pixels de hauteur.

  Cette option n'est actuellement implémentée que pour le filtre d'export PNG.

`-L `CALQUE,CALQUE,...`` `--show-layers=`CALQUE,CALQUE,...``

  N'inclue que les calques spécifiés lors de l'exportation. Les calques peuvent être spécifiés par leur nom, leur numéro, ou une étandue numérique X-Y de calques. --show-layers=background,2-5 montre les calques nommés background et les calques 2 à 5, --show-layers=2- montre les calques 2 et supérieurs.

`-t `FORMAT`` `--filter=`FORMAT``

  Exporte le fichier chargé dans le FORMAT et quitte. Les FORMATS D'EXPORTATION sont décrits ci-dessous.

`-v` `--version`

  Affiche la version de dia et quitte.

## FORMATS D'EXPORTATION

Les formats d'exportation suivants sont supportés par dia.

- `cgm` (Computer Graphics Metafile, ISO 8632)

- `dia` (diagram Dia natif)

- `dxf` (Drawing Interchange File)

- `eps` ou `eps-builtin` ou `eps-pango` (PostScript encapsulé)

  Les spécifications de format `eps` et `eps-pango` utilisent toutes-deux le rendu de fontes de la bibliothèque Pango, alors que `eps-builtin` utilise le rendu de fontes spécifique de dia. Si vous avez des problèmes avec le rendu de Pango, p.ex. avec Unicode, utilisez `eps-builtin` à la place.

- `fig` (format XFig)

- `mp` (macros TeX MetaPost)

- `pdf` (Portable Document Format)

- `plt` or `hpgl` (HP Graphics Language)

- `png` (Portable Network Graphics)

- `shape` (Fichier Dia Shape)

- `svg` (Scalable Vector Graphics)

- `tex` (macros TeX PSTricks)

- `wpg` (WordPerfect Graphics)

- `wmf` (Windows MetaFile)

## FICHIERS

dia crée un répertoire `.dia` dans le répertoire « home » de l'utilisateur, contenant différents fichiers qui enregistrent ses préférences. Pour initialiser dia dans son comportement par défaut, il suffit d'effacer les fichiers suivants :

- `defaults.dia`: contient les valeurs par défaut des éléments (format XML).

- `diarc`: garde les préférences de dia (ASCII).

- `history`: garde la liste des derniers diagrammes édités (ASCII).

- `menurc`: contient une emprunte de carte d'accélération automatisée (Lisp).

- `persistence`: contient les information d'interface graphique, p.ex. les fenêtres ouvertes (XML).

- `pluginrc`: la liste des plugins chargés (XML).

## VOIR AUSSI

Pango

X (1)

xfig (1)

inkscape (1)

## COPYRIGHT

Copyright 1999 Alexander Larsson.

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

## AUTEURS

Alexander Larsson

This manual was written by Fredrik Hallenberg.

## TRADUCTION

Thomas Harding

Précédent | Niveau supérieur | Suivant
12.2. Manuel de la ligne de commande | Sommaire | Chapitre 13. Auteurs